# Authenticatie, invoer en resultaat

## Transaction API

{% tabs %}
{% tab title="V1" %} <mark style="color:green;">`POST`</mark> `https://api.altum.ai/transaction`

Met dit eindpunt kun je Kadaster-transactiegegevens voor een object ophalen.

#### Headers

| Naam                                        | Type   | Omschrijving                                                                    |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                                |

#### Request Body

| Naam                                          | Type   | Omschrijving                                                                                         |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Postcode van het object                                                                              |
| housenumber<mark style="color:red;">\*</mark> | number | Huisnummer van het object                                                                            |
| houseaddition                                 | string | Huisbrief en toevoeging van het object                                                               |
| valuationdate                                 | number | Voer in als JJJJMMDD, geeft de nieuwste transactie tot die datum weer. De standaardwaarde is VANDAAG |

{% tabs %}
{% tab title="400: Mislukte reactie" %}

```
{
  "Output": "The given house address not found in database, the combination of Post Code, House Number and House Addition does not exist."
}
```

{% endtab %}

{% tab title="422: Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="401: Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="200: Succesvolle reactie" %}

```
{
  "Output": [
    {
      "Transaction": "Transaction-20100315",
      "BagID": null,
      "PostCode": "2771HM",
      "HouseNumber": 173,
      "HouseAddition": null,
      "City": "BOSKOOP",
      "Street": "PARKLAAN",
      "HouseType": "T",
      "BuildingCode": 11,
      "OuterSurfaceArea": 315,
      "MoreRealEstate": "J",
      "RentedOut": "J",
      "BusinessRight": "VE",
      "MutationVariety": 606,
      "FamilyTransaction": "N",
      "TransactionDate": 20191001,
      "TransactionPrice": 500000,
      "TransactionPriceIndexed": 600000
    }
  ]
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="V2" %} <mark style="color:green;">`POST`</mark> `https://api.altum.ai/v2/transaction`

Met dit eindpunt kun je Kadaster-transactiegegevens voor een object ophalen. De prijs is gekoppeld aan de huidige datum.

#### Headers

| Naam                                        | Type   | Omschrijving                                                                    |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                                |

#### Request Body

| Naam                                          | Type   | Omschrijving                                                                                         |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Postcode van het object                                                                              |
| housenumber<mark style="color:red;">\*</mark> | number | Huisnummer van het object                                                                            |
| houseaddition                                 | string | Huisbrief en toevoeging van het object                                                               |
| valuation\_date                               | number | Voer in als JJJJMMDD, geeft de nieuwste transactie tot die datum weer. De standaardwaarde is VANDAAG |

{% tabs %}
{% tab title="400: Mislukte reactie" %}

```
{
  "output": "The given house address not found in database, the combination of Post Code, House Number and House Addition does not exist."
}
```

{% endtab %}

{% tab title="422: Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="401: Geen toegang" %}

```
{
    'output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="200: Succesvolle reactie" %}

```
{
	"transaction": "Transaction-20100315",
	"bag_id": null,
	"postcode": "2771HM",
	"housenumber": 173,
	"houseaddition": null,
	"city": "BOSKOOP",
	"street": "PARKLAAN",
	"house_type": "T",
	"building_code": 11,
	"outer_surface_area": 315,
	"more_real_estate": "J",
	"rented_out": "J",
	"business_right": "VE",
	"mutation_variety": 606,
	"family_transaction": "N",
	"buyer": "BV",
	"seller": null,
	"transaction_date": 20191001,
	"transaction_price": 500000,
	"transaction_price_indexed": 600000
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

## GRATIS Ping voor beschikbaarheid

## Post objectgegevens om de beschikbaarheid van transactiegegevens te ontvangen

{% tabs %}
{% tab title="V1" %}

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/transaction/ping`

Met dit eindpunt kun je de beschikbaarheid van de transactiegegevens uit onze database opvragen. Voor een POST-verzoek is een bodyparameter (adres) vereist.

#### Headers

| Naam                                        | Type   | Omschrijving                                                             |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                         |

#### Request Body

| Naam                                          | Type   | Omschrijving                                                                                         |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Postcode van het object                                                                              |
| valuationdate                                 | number | Voer in als JJJJMMDD, geeft de nieuwste transactie tot die datum weer. De standaardwaarde is VANDAAG |
| houseaddition                                 | string | Huis en toevoeging van het object                                                                    |
| housenumber<mark style="color:red;">\*</mark> | number | Huisnummer van het object                                                                            |

{% tabs %}
{% tab title="422: Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="401: Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="200: Succesvolle reactie" %}

```
{
	"Output": "Transaction Data for 2728KH-8- is available.",
	"Date": "20210602"
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
	"postcode": "2728KH",
	"housenumber": 5
}
```

{% endtab %}

{% tab title="V2" %}

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/v2/transaction/ping`

Met dit eindpunt kun je de beschikbaarheid van de transactiegegevens uit onze database opvragen. Voor een POST-verzoek is een bodyparameter (adres) vereist.

{% hint style="info" %}
Ping V2 raadpleegt de Transaction API V2 database. Gebruik Transaction API V2 in combinatie met Ping V2.
{% endhint %}

#### Headers

| Naam                                        | Type   | Omschrijving                                                             |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | API-sleutel van Altum. Maak er een via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                         |

#### Request Body

| Naam                                          | Type   | Omschrijving                                                                                         |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Postcode van het object                                                                              |
| housenumber<mark style="color:red;">\*</mark> | number | Huisnummer van het object                                                                            |
| houseaddition                                 | string | Huisnummertoevoeging van het object                                                                  |
| valuation\_date                               | number | Voer in als JJJJMMDD, geeft de nieuwste transactie tot die datum weer. De standaardwaarde is VANDAAG |

{% tabs %}
{% tab title="422: Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="401: Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="200: Succesvolle reactie" %}

```
{
	"output": "Transaction Data for 2728KH-8- is available.",
	"date": "20210602"
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
	"postcode": "2728KH",
	"housenumber": 5
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/taxeren-en-waarderen/kadaster-transactie-api/authenticatie-invoer-en-resultaat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
